package jesse.keeblarcraft.Utils;

import net.minecraft.registry.RegistryKey;
import net.minecraft.world.World;

/////////////////////////////////////////////////////////////////////////////
/// @class      DirectionalVec
///
/// @brief      DirectionalVec creates a vector of information that can store
///             world information and a players vector information of where they
///             are in the world + where their camera is looking (yaw & pitch)
/////////////////////////////////////////////////////////////////////////////
public class DirectionalVec {
    public RegistryKey<World> world;
    public double x;
    public double y;
    public double z;
    public float yaw;
    public float pitch;
}
